[SRU] octavia-api won't start by default

Bug #1798891 reported by Corey Bryant on 2018-10-19
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu Cloud Archive
High
Unassigned
Rocky
High
Unassigned
octavia (Ubuntu)
High
Unassigned
Cosmic
High
Unassigned
Disco
High
Unassigned

Bug Description

[Impact]

After installing octavia-api the systemd unit fails to start:

Failed 'systemctl status octavia-api' output shows:

error: unrecognized arguments: --http-socket [::]:9876 --ini /etc/octavia/octavia-api-uwsgi.ini

The problem is that init files are configured with UWSGI options but the binary being run is not uwsgi. See full output: https://paste.ubuntu.com/p/WHQk2y2F84/

[Test Case]
1) sudo apt install octavia-api
2) watch systemctl status octavia-api # watch to ensure it doesn't fail
3) curl 127.0.0.1:9876 # should return something like [1], not [2]

[1] {"versions": [{"id": "v1", "status": "DEPRECATED", "updated": "2014-12-11T00:00:00Z", "links": [{"href": "http://127.0.0.1:9876/v1", "rel": "self"}]}, {"id": "v2.0", "status": "SUPPORTED", "updated": "2016-12-11T00:00:00Z", "links": [{"href": "http://127.0.0.1:9876/v2", "rel": "self"}]}, {"id": "v2.1", "status": "SUPPORTED", "updated": "2018-04-20T00:00:00Z", "links": [{"href": "http://127.0.0.1:9876/v2", "rel": "self"}]}, {"id": "v2.2", "status": "CURRENT", "updated": "2018-07-31T00:00:00Z", "links": [{"href": "http://127.0.0.1:9876/v2", "rel": "self"}]}]}

[2] curl: (7) Failed to connect to 127.0.0.1 port 9876: Connection refused

[Regression Potential]
Low. The provided fix only touches the octavia-api and is using the standard approach that OpenStack has historically used to start a service which is to use the service's /usr/bin/<service>-api file which in the case of octavia is using wsgiref.simple_server to host the API WSGI server. Ideally we'll like to run the API under an apache2 server but that switch seems more appropriate in a development cycle than a stable cycle.

Changed in octavia (Ubuntu Cosmic):
importance: Undecided → High
status: New → Triaged
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
Corey Bryant (corey.bryant) wrote :

I've uploaded a fix for this to the cosmic review queue: https://launchpad.net/ubuntu/cosmic/+queue?queue_state=1&queue_text=

Hello Corey, or anyone else affected,

Accepted octavia into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/octavia/3.0.0-0ubuntu3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in octavia (Ubuntu Cosmic):
status: Triaged → Fix Committed
tags: added: verification-needed verification-needed-cosmic
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package octavia - 3.0.0-0ubuntu3

---------------
octavia (3.0.0-0ubuntu3) cosmic; urgency=medium

  * d/octavia-api.init.in: Drop UWSGI settings as API is not being run under
    uwsgi (LP: #1798891).

 -- Corey Bryant <email address hidden> Fri, 19 Oct 2018 15:12:23 -0400

Changed in octavia (Ubuntu Disco):
status: Triaged → Fix Released
Changed in cloud-archive:
status: Triaged → Fix Committed
Corey Bryant (corey.bryant) wrote :

Verified successfully on rocky-proposed: https://paste.ubuntu.com/p/5xKdCbSfgq/

Corey Bryant (corey.bryant) wrote :

Verified successfully on cosmic-proposed: https://paste.ubuntu.com/p/KkWPxNzf69/

tags: added: verification-done-cosmic
removed: verification-needed-cosmic

The verification of the Stable Release Update for octavia has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package octavia - 3.0.0-0ubuntu3

---------------
octavia (3.0.0-0ubuntu3) cosmic; urgency=medium

  * d/octavia-api.init.in: Drop UWSGI settings as API is not being run under
    uwsgi (LP: #1798891).

 -- Corey Bryant <email address hidden> Fri, 19 Oct 2018 15:12:23 -0400

Changed in octavia (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Corey Bryant (corey.bryant) wrote :

This bug was fixed in the package octavia - 3.0.0-0ubuntu3~cloud0
---------------

 octavia (3.0.0-0ubuntu3~cloud0) bionic-rocky; urgency=medium
 .
   * New update for the Ubuntu Cloud Archive.
 .
 octavia (3.0.0-0ubuntu3) cosmic; urgency=medium
 .
   * d/octavia-api.init.in: Drop UWSGI settings as API is not being run under
     uwsgi (LP: #1798891).

Changed in cloud-archive:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers